<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<!-- 
   file:     ~/.fonts.conf
   author:   moparx - moparx.com
-->
      
<!-- /etc/fonts/local.conf file to configure system font access -->
<fontconfig>
 <!-- Use the Autohinter -->
 <match target="font" >
  <edit mode="assign" name="autohint" >
   <bool>true</bool>
  </edit>
 </match>
 <!-- Disable Autohinting for bold fonts -->
 <match target="font" >
  <test compare="more" name="weight" >
   <const>medium</const>
  </test>
  <edit mode="assign" name="autohint" >
   <bool>false</bool>
  </edit>
 </match>
 <!-- Enable sub-pixel rendering -->
 <match target="font" >
  <edit mode="assign" name="rgba" >
   <const>rgb</const>
  </edit>
 </match>
 <!-- Exclude/Include a range of fonts for Anti Aliasing -->
 <match target="font" >
  <test compare="more" name="size" qual="any" >
   <double>9</double>
  </test>
  <test compare="less" name="size" qual="any" >
   <double>14</double>
  </test>
  <edit mode="assign" name="antialias" >
   <bool>true</bool>
  </edit>
 </match>
 <!-- And/Or disable Anti Aliasing for a range on pixel-based size.
     Disabling this using both methods seems to fix Firefox. -->
 <!--
	<match target="font">
		<test compare="less" name="pixelsize" qual="any"><double>20</double></test>
		<edit mode="assign" name="antialias"><bool>false</bool></edit>
	</match>
-->
 <!-- Other config options that were added to previous versions of config files in the Gentoo Wiki HOWTO.
     Need clarification. -->
 <match target="font" >
  <edit mode="assign" name="hinting" >
   <bool>true</bool>
  </edit>
  <edit mode="assign" name="hintstyle" >
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font" >
  <edit mode="assign" name="hinting" >
   <bool>true</bool>
  </edit>
 </match>
 <match target="font" >
  <edit mode="assign" name="hintstyle" >
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font" >
  <edit mode="assign" name="antialias" >
   <bool>true</bool>
  </edit>
 </match>
</fontconfig>
